var csv = require('csv');
var fs = require('fs');
var path = require('path');

if (process.argv.length != 4) {
  console.error('Usage: node csv_format.js keyword filename');
  process.exit(1);
}

var FILE = path.join(__dirname, process.argv[3]);

var parser = csv.parse({trim:true}, function(err, data) {
  data.forEach((element, index, array) => {
    if (process.argv[2] == element[2]) console.log(element[0] + " " + element[1] + "," + element[2] + "," + element[3]);
  });
});

fs.createReadStream(FILE).pipe(parser);
