//
// db_dump.js - dump a CSV file from a SQLite3 database
//
// 24 Oct, 2018 by FUJIWARA Teruyoshi <tf@dsl.gr.jp>
//
require('./library.js');

var db = db_open();
if (process.argv.length == 2) {
  db_log(db);
} else if (process.argv.length == 3) {
  db_dump(db, process.argv[2]);
} else {
  console.log('usage: node db_dump.js <filename>');
}
db_close(db);
