#!/bin/sh
export LC_ALL=C
export LANG=ja_JP.UTF-8
ROOT_DIR=/home/pi/work/lifelog
CSV=./tmp/dump.csv

cd $ROOT_DIR
node db_dump.js $CSV
node csv_format.js weight $CSV | sort > tmp/weight.csv
node csv_format.js plank $CSV | sort > tmp/plank.csv
gnuplot lifelog.plt

rm -f tmp/weight.csv
rm -f tmp/plank.csv
